<?php

$facebook = get_theme_mod('facebook');
$twitter = get_theme_mod('twitter');
$youtube = get_theme_mod('youtube');

if ($youtube) {
	$youtube = social_youtube($youtube);
}

$social = array_filter(array(
	$facebook,
	$twitter,
	$youtube,
));

$rows = array();
if ($facebook && $twitter && $youtube) {
	$rows[] = array(
		(object) array('cols'=>4,'type'=>'facebook','content'=>social_facebook($facebook,4)),
		(object) array('cols'=>4,'type'=>'twitter','content'=>social_twitter($twitter)),
		(object) array('cols'=>4,'type'=>'youtube','content'=>$youtube),
	);
	
} elseif ($facebook && $twitter) {
	$rows[] = array(
		(object) array('cols'=>4,'type'=>'facebook','content'=>social_facebook($facebook,4)),
		(object) array('cols'=>8,'type'=>'twitter','content'=>social_twitter($twitter)),
	);
} elseif ($facebook && $youtube) {
	$rows[] = array(
		(object) array('cols'=>8,'type'=>'youtube','content'=>$youtube),
		(object) array('cols'=>4,'type'=>'facebook','content'=>social_facebook($facebook,4)),
	);
} elseif ($twitter && $youtube) {
	$rows[] = array(
		(object) array('cols'=>6,'type'=>'youtube','content'=>$youtube),
		(object) array('cols'=>6,'type'=>'facebook','content'=>social_twitter($facebook)),
	);
} elseif ($facebook) {
	$rows[] = array(
		(object) array('cols'=>12,'type'=>'facebook','content'=>social_facebook($facebook,12)),
	);
} elseif ($twitter) {
	$rows[] = array(
		(object) array('cols'=>12,'type'=>'twitter','content'=>social_twitter($facebook)),
	);
} elseif ($youtube) {
	$rows[] = array(
		(object) array('cols'=>12,'type'=>'youtube','content'=>$youtube),
	);
}

if (empty($social)) {
	return;
}
?>
<div id="social">
	<?php
	foreach ($rows as $row) {
		?>
		<div class="row">
			<?php
			foreach ($row as $col) {
				?>
			<div class="social-box columns medium-<?php print $col->cols ?>" id="footer-social-<?php print $col->type ?>"><?php print $col->content ?></div>
				<?php
			}
			?>
		</div>
		<?php
	}
	?>
</div> 