<?php
global $post;

if (apply_filters('gulf_hide_empty_content',true)) {
	if (strlen(trim($post->post_content))==0) {
		?><h1 class="page-title hidden"><?php the_title(); ?></h1><?php
		return;
	}
}
?>

<?php do_action( 'gulf_loop_before_article' ); ?>
	
<article id="post-<?php the_ID(); ?>" <?php post_class(); ?> role="article" itemscope itemtype="http://schema.org/WebPage">
						
	<header class="article-header">
		<h1 class="page-title"><?php the_title(); ?></h1>
	</header> <!-- end article header -->
	
	<?php
	do_action( 'gulf_loop_before_article' );
	?>
					
    <section class="entry-content" itemprop="articleBody">
	    <?php the_content(); ?>
	    <?php wp_link_pages(); ?>
	</section> <!-- end article section -->
						
	<footer class="article-footer">
		<?php do_action( 'gulf_loop_article_footer' ); ?>
	</footer> <!-- end article footer -->
						    
	<?php comments_template(); ?>
					
</article> <!-- end article -->

<?php do_action( 'gulf_loop_after_article' ); ?>
